# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "3.0.0")
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 3.0.0...3.27)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS kaldi-base kaldi-matrix kaldi-cudamatrix kaldi-util kaldi-feat kaldi-tree kaldi-gmm kaldi-transform kaldi-fstext kaldi-hmm kaldi-lm kaldi-decoder kaldi-lat kaldi-nnet kaldi-nnet2 kaldi-nnet3 kaldi-rnnlm kaldi-chain kaldi-ivector kaldi-online kaldi-online2 kaldi-kws kaldi-itf)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# The installation prefix configured by this project.
set(_IMPORT_PREFIX "/usr")

# Create imported target kaldi-base
add_library(kaldi-base SHARED IMPORTED)

set_target_properties(kaldi-base PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst"
)

# Create imported target kaldi-matrix
add_library(kaldi-matrix SHARED IMPORTED)

set_target_properties(kaldi-matrix PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-cudamatrix
add_library(kaldi-cudamatrix SHARED IMPORTED)

set_target_properties(kaldi-cudamatrix PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-util
add_library(kaldi-util SHARED IMPORTED)

set_target_properties(kaldi-util PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-feat
add_library(kaldi-feat SHARED IMPORTED)

set_target_properties(kaldi-feat PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-transform;kaldi-gmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-tree
add_library(kaldi-tree SHARED IMPORTED)

set_target_properties(kaldi-tree PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-gmm
add_library(kaldi-gmm SHARED IMPORTED)

set_target_properties(kaldi-gmm PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-transform
add_library(kaldi-transform SHARED IMPORTED)

set_target_properties(kaldi-transform PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-gmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-fstext
add_library(kaldi-fstext SHARED IMPORTED)

set_target_properties(kaldi-fstext PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-hmm
add_library(kaldi-hmm SHARED IMPORTED)

set_target_properties(kaldi-hmm PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-lm
add_library(kaldi-lm SHARED IMPORTED)

set_target_properties(kaldi-lm PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-fstext;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-decoder
add_library(kaldi-decoder SHARED IMPORTED)

set_target_properties(kaldi-decoder PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-lat;kaldi-fstext;kaldi-hmm;kaldi-transform;kaldi-gmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-lat
add_library(kaldi-lat SHARED IMPORTED)

set_target_properties(kaldi-lat PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-hmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-nnet
add_library(kaldi-nnet SHARED IMPORTED)

set_target_properties(kaldi-nnet PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-cudamatrix;kaldi-hmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-nnet2
add_library(kaldi-nnet2 SHARED IMPORTED)

set_target_properties(kaldi-nnet2 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-cudamatrix;kaldi-lat;kaldi-hmm;kaldi-transform;kaldi-gmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-nnet3
add_library(kaldi-nnet3 SHARED IMPORTED)

set_target_properties(kaldi-nnet3 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-chain;kaldi-cudamatrix;kaldi-decoder;kaldi-lat;kaldi-fstext;kaldi-hmm;kaldi-transform;kaldi-gmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-rnnlm
add_library(kaldi-rnnlm SHARED IMPORTED)

set_target_properties(kaldi-rnnlm PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-nnet3;kaldi-cudamatrix;kaldi-lm;kaldi-hmm;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-chain
add_library(kaldi-chain SHARED IMPORTED)

set_target_properties(kaldi-chain PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-cudamatrix;kaldi-lat;kaldi-fstext;kaldi-hmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-ivector
add_library(kaldi-ivector SHARED IMPORTED)

set_target_properties(kaldi-ivector PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-transform;kaldi-gmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-online
add_library(kaldi-online SHARED IMPORTED)

set_target_properties(kaldi-online PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-decoder;kaldi-lat;kaldi-hmm;kaldi-feat;kaldi-transform;kaldi-gmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-online2
add_library(kaldi-online2 SHARED IMPORTED)

set_target_properties(kaldi-online2 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-ivector;kaldi-nnet3;kaldi-chain;kaldi-nnet2;kaldi-cudamatrix;kaldi-decoder;kaldi-lat;kaldi-hmm;kaldi-feat;kaldi-transform;kaldi-gmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-kws
add_library(kaldi-kws SHARED IMPORTED)

set_target_properties(kaldi-kws PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
  INTERFACE_LINK_LIBRARIES "dl;Threads::Threads;fst;kaldi-lat;kaldi-hmm;kaldi-tree;kaldi-util;kaldi-matrix;kaldi-base;-lopenblas;-llapack"
)

# Create imported target kaldi-itf
add_library(kaldi-itf INTERFACE IMPORTED)

set_target_properties(kaldi-itf PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/kaldi"
)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/kaldi-targets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(WARNING "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
* The installation package was intentionally split into smaller
  components, and \"${_cmake_file}\"
  is part of an optional subpackage. This is generally harmless
  and known to happen on e.g. the static libraries when only
  shared libraries are being used - but if you see an actual
  error after seeing this message, you might want to make sure
  the optional file is installed by running
  sudo dnf --refresh install \"${_cmake_file}\"
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
